summaryrefslogtreecommitdiff
path: root/nonsystemd
diff options
context:
space:
mode:
authorDavid P <megver83@parabola.nu>2019-11-11 21:43:09 -0300
committerDavid P <megver83@parabola.nu>2019-11-11 21:43:09 -0300
commit88ecfd6d900ecc6f038aa7b785995e1bb9d777f9 (patch)
treee537fe8106608373e47f5c7e3a9a48d0156857da /nonsystemd
parent7ea131a0b9b0d63ad2a41991c4909fd39ef74858 (diff)
updpkg: nonsystemd/dbus 1.12.16-2.nonsystemd2
Signed-off-by: David P <megver83@parabola.nu>
Diffstat (limited to 'nonsystemd')
-rw-r--r--nonsystemd/dbus/PKGBUILD19
-rw-r--r--nonsystemd/dbus/dbus.initd36
2 files changed, 48 insertions, 7 deletions
diff --git a/nonsystemd/dbus/PKGBUILD b/nonsystemd/dbus/PKGBUILD
index ee6ce9d33..cd96351eb 100644
--- a/nonsystemd/dbus/PKGBUILD
+++ b/nonsystemd/dbus/PKGBUILD
@@ -7,18 +7,23 @@
pkgname=dbus
pkgver=1.12.16
pkgrel=2
-pkgrel+=.nonsystemd1
+pkgrel+=.nonsystemd2
pkgdesc="Freedesktop.org message bus system"
url="https://wiki.freedesktop.org/www/Software/dbus/"
arch=(x86_64 i686 armv7h)
license=(GPL custom)
depends=(libx11 libelogind expat audit)
makedepends=(elogind xmlto docbook-xsl python yelp-tools doxygen git autoconf-archive graphviz)
+provides=(libdbus dbus-openrc dbus-elogind)
+conflicts=(${provides[@]})
+replaces=(${provides[@]})
_commit=23cc709db8fab94f11fa48772bff396b20aea8b0 # tags/dbus-1.12.16^0
source=("git+https://gitlab.freedesktop.org/dbus/dbus.git#commit=$_commit"
- 'dbus-enable-elogind.patch')
+ 'dbus-enable-elogind.patch'
+ 'dbus.initd')
sha256sums=('SKIP'
- 'faffcaa5b295f49fcedeed2c9ece5298949096be3062fd99a4bf1a6ac3ad1ea0')
+ 'faffcaa5b295f49fcedeed2c9ece5298949096be3062fd99a4bf1a6ac3ad1ea0'
+ '00a1a8f254d4f40b6f98a2777809b9c45ad81c4aeb4c0592793dd839777990bd')
validpgpkeys=('DA98F25C0871C49A59EAFF2C4DE8FF2A63C7CC90' # Simon McVittie <simon.mcvittie@collabora.co.uk>
'3C8672A0F49637FE064AC30F52A43A1E4B77B059') # Simon McVittie <simon.mcvittie@collabora.co.uk>
@@ -68,10 +73,6 @@ check() {
}
package() {
- provides=(libdbus)
- conflicts=(libdbus)
- replaces=(libdbus)
-
DESTDIR="$pkgdir" make -C dbus install
rm -r "$pkgdir/var/run"
@@ -84,6 +85,10 @@ package() {
# Split docs
mv "$pkgdir/usr/share/doc" "$srcdir"
+
+ # Init script
+ install -Dm755 "$srcdir/dbus.initd" "$pkgdir/etc/init.d/dbus"
+ sed -i 's|dbus.pid|dbus/pid|g' "$pkgdir/etc/init.d/dbus"
}
# vim:set sw=2 et:
diff --git a/nonsystemd/dbus/dbus.initd b/nonsystemd/dbus/dbus.initd
new file mode 100644
index 000000000..bd3542381
--- /dev/null
+++ b/nonsystemd/dbus/dbus.initd
@@ -0,0 +1,36 @@
+#!/sbin/openrc-run
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License, v2 or later
+
+extra_started_commands="reload"
+
+description="An IPC message bus daemon"
+pidfile="/var/run/dbus.pid"
+command="/usr/bin/dbus-daemon"
+command_args="--system"
+
+dbus_socket="/var/run/dbus/system_bus_socket"
+
+depend() {
+ need localmount
+ after bootmisc
+}
+
+start_pre() {
+ /usr/bin/dbus-uuidgen --ensure=/etc/machine-id
+
+ # We need to test if /var/run/dbus exists, since script will fail if it does not
+ checkpath -q -d /var/run/dbus
+}
+
+stop_post() {
+ [ ! -S "${dbus_socket}" ] || rm -f "${dbus_socket}"
+}
+
+reload() {
+ ebegin "Reloading D-BUS messagebus config"
+ /usr/bin/dbus-send --print-reply --system --type=method_call \
+ --dest=org.freedesktop.DBus \
+ / org.freedesktop.DBus.ReloadConfig > /dev/null
+ eend $?
+}